python-gnome2-dev_2.28.1+dfsg-1.1_all.deb


Advertisement

Description

python-gnome2-dev - Python bindings for the GNOME desktop environment - development files

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-gnome2-dev
Package version: 2.28.1+dfsg
Package release: 1.1
Package architecture: all
Package type: deb
Installed size: 417 B
Download size: 32.68 KB
Official Mirror: archive.ubuntu.com
This archive contains files that allow you to build wrappers for addon that interoperate gnome-python.

Alternatives

    Download

    Source package: gnome-python

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-gnome2-dev deb package:
      # sudo apt-get install python-gnome2-dev

    Files

    • /usr/include/gnome-python-2.0/pygnomevfs.h
    • /usr/include/gnome-python-2.0/pygnomevfsbonobo.h
    • /usr/lib/pkgconfig/gnome-python-2.0.pc
    • /usr/share/doc/python-gnome2-dev/changelog.Debian.gz
    • /usr/share/doc/python-gnome2-dev/copyright
    • /usr/share/pygtk/2.0/argtypes/bonobo-arg-types.py
    • /usr/share/pygtk/2.0/argtypes/gconf-arg-types.py
    • /usr/share/pygtk/2.0/defs/bonobo-types.defs
    • /usr/share/pygtk/2.0/defs/bonobo.defs
    • /usr/share/pygtk/2.0/defs/bonoboui-types.defs
    • /usr/share/pygtk/2.0/defs/bonoboui.defs
    • /usr/share/pygtk/2.0/defs/canvas.defs
    • /usr/share/pygtk/2.0/defs/gconf.defs
    • /usr/share/pygtk/2.0/defs/gnome-types.defs
    • /usr/share/pygtk/2.0/defs/gnome.defs
    • /usr/share/pygtk/2.0/defs/ui.defs
    • /usr/share/python/runtime.d/python-gnome2-dev.rtupdate

    Changelog

    2014-10-11 - Wookey <wookey@debian.org> gnome-python (2.28.1+dfsg-1.1) unstable; urgency=low * Non-maintainer upload. * autoreconf on build to support new architectures (Closes: 558556)

    2012-02-06 - Michael Biebl <biebl@debian.org> gnome-python (2.28.1+dfsg-1) unstable; urgency=low [ Josselin Mouette ] * Replace python-gobject by python-gobject-2. * Update repository URL. [ Michael Biebl ] * Repack upstream tarball and drop the waf build system. Closes: #654470 * Update watch file to mangle the version for the +dfsg suffix. * Update Vcs-* URLs. * Don't use brace expansion in .install files.

    2011-06-08 - Martin Pitt <mpitt@debian.org> gnome-python (2.28.1-3) unstable; urgency=low [ Josselin Mouette ] * Drop incorrect ${python:Provides}. [ Martin Pitt ] * debian/control.in: Add Conficts/Replaces: python-gnomecanvas. This only existed in Ubuntu (which now is getting rid of this delta), and is a no-op for Debian. * debian/watch: Fix syntax to actually catch latest version. Also move to *.bz2, upstream does not release .gz tarballs any more. * debian/python-gnome2.postinst: Remove old __init__.py{,c} cruft from pysupport, which causes bad imports after upgrades. (LP: #790613)

    2011-04-23 - Laurent Bigonville <bigon@debian.org> gnome-python (2.28.1-2) unstable; urgency=low * Use dh_python2 instead of pysupport * Rebuild for python 2.7 transition (Closes: #623396, #623729) * debian/control.in: - Bump Standards-Version to 3.9.2 - Bump python-all-dev build-dependency to >= 2.6.6-3~ - Bump debhelper build-dependency to 8 - Drop Conflicts/Replaces for packages that only exist prior lenny - Drop quilt build-dependency - Drop versionize build-dependency against dpkg-dev, the required version exists since etch * debian/rules: - Use dh_prep instead of dh_clean -k - Drop call to patch/unpatch target - Drop quilt.make include - Call dh_python2 instead of dh_pysupport * Switch to dpkg-source 3.0 (quilt) format

    2010-04-13 - Josselin Mouette <joss@debian.org> gnome-python (2.28.1-1) unstable; urgency=low * New upstream release.

    2010-01-26 - Luca Falavigna <dktrkranz@debian.org> gnome-python (2.28.0-2) unstable; urgency=low * debian/debian/python-gconf.install, debian/python-gnome2.install: - Use jolly characters to fix FTBFS with python2.6 (Closes: #566936).

    2009-09-24 - Josselin Mouette <joss@debian.org> gnome-python (2.28.0-1) unstable; urgency=low * New upstream release. * Add build-dependency and dependencies on pygobject 2.17.

    2009-04-25 - Luca Bruno <lethalman88@gmail.com> gnome-python (2.26.1-1) unstable; urgency=low * New upstream release. * debian/control.in: - Bump Standards-Version to 3.8.1 (no changes needed). * debian/patches/70_relibtoolize.patch: - Remove, lintian doesn't complain about rpath on amd64.

    2009-03-09 - Josselin Mouette <joss@debian.org> gnome-python (2.22.3-3) unstable; urgency=low * Update Vcs-* fields. * Remove empty python-gnome2.examples. * Split the gconf module in a separate package named python-gconf.

    2009-03-08 - Josselin Mouette <joss@debian.org> gnome-python (2.22.3-2) unstable; urgency=low * Upload to unstable.

    Advertisement
    Advertisement